package edgestack

import (
	"ocl/portainer-devtool/configs"
	"ocl/portainer-devtool/tasks/common"
)

type OperationMenuSubTask struct {
	common.GeneralTask
}

func NewOperationMenuSubTask(cfg *configs.Config) *OperationMenuSubTask {
	return &OperationMenuSubTask{
		GeneralTask: *common.NewGeneralTask(cfg),
	}
}

func (task *OperationMenuSubTask) Execute() error {
	subTaskItems := []common.Tasker{
		NewTagOfficialImageSubTask(task.Config),
	}

	for _, taskItem := range subTaskItems {
		taskItem.SetParentTaskers(subTaskItems)
	}
	common.ListCommandMenu(subTaskItems, "Which management commands do you want to choose:", false, task.ParentTasks)

	return nil
}

func (task *OperationMenuSubTask) String() string {
	return "edgestack"
}
