package edgestack

import (
	"ocl/portainer-devtool/configs"
	"ocl/portainer-devtool/tasks/common"
	"ocl/portainer-devtool/utils"
)

type TagOfficialImageSubTask struct {
	common.GeneralTask
}

func NewTagOfficialImageSubTask(cfg *configs.Config) *TagOfficialImageSubTask {
	return &TagOfficialImageSubTask{
		GeneralTask: *common.NewGeneralTask(cfg),
	}
}

func (task *TagOfficialImageSubTask) Execute() error {
	utils.SuccessPrint(`
docker pull nginx:latest
docker image tag nginx:latest ghcr.io/oscarzhou-portainer/nginx:1
docker push ghcr.io/oscarzhou-portainer/nginx:1
-----------------
version: '3'

services:
  nginx-container:
    image: ghcr.io/oscarzhou-portainer/nginx:1
    container_name: "nginx-from-ghcr"
    ports:
      - "${PORT:-81}:80"
	`)

	return nil
}

func (task *TagOfficialImageSubTask) String() string {
	return "Create Image for Private Registry"
}
