package portaineree

import (
	"ocl/portainer-devtool/configs"
	"ocl/portainer-devtool/tasks/common"
	"ocl/portainer-devtool/utils"
)

type StandaloneDeploySubTask struct {
	common.GeneralTask
}

func NewStandaloneDeploySubTask(cfg *configs.Config) *StandaloneDeploySubTask {
	return &StandaloneDeploySubTask{
		GeneralTask: *common.NewGeneralTask(cfg),
	}
}

func (task *StandaloneDeploySubTask) Execute() error {
	utils.SuccessPrint(`
yarn build
docker build -t "portainerci/portainer-ee:oscar-test" -f build/linux/linux.Dockerfile .
docker image tag portainerci/portainer-ee:oscar-test portainerci/portainer-ee:latest
docker run -d -p 8000:8000 -p 9443:9443 --name portainer --restart=always -v "/var/run/docker.sock:/var/run/docker.sock" -v /home/oscar/volume/portainer-ee-data-1:/data --add-host=host.docker.internal:host-gateway portainerci/portainer-ee:oscar-test
	`)

	return nil
}

func (task *StandaloneDeploySubTask) String() string {
	return "Deploy Portainer in Docker Standalone"
}
