package tasks

import (
	"ocl/portainer-devtool/configs"
	"ocl/portainer-devtool/operations/edgestack"
	"ocl/portainer-devtool/tasks/common"
)

type ListOperationMenuTask struct {
	common.GeneralTask
}

func NewListOperationMenuTask(cfg *configs.Config) *ListOperationMenuTask {
	return &ListOperationMenuTask{
		GeneralTask: *common.NewGeneralTask(cfg),
	}
}

func (task *ListOperationMenuTask) Execute() error {
	subTaskItems := []common.Tasker{
		edgestack.NewOperationMenuSubTask(task.Config),
	}

	for _, taskItem := range subTaskItems {
		taskItem.SetParentTaskers(subTaskItems)
	}

	common.ListCommandMenu(subTaskItems, "Which management commands do you want to choose:", false, task.ParentTasks)

	return nil
}

func (task *ListOperationMenuTask) String() string {
	return "Choose Operations"
}
